<template>
  <header class="header">
    <div class="header__inner-title"> {{this.$route.params.id ? this.$route.params.id : headerPath}}
      <a class="header__back"
         v-if="$route.path !== '/'"
         @click="goToBack"
      >
        <svg width="24" height="24" viewBox="0 0 24 24" fill="none" xmlns="http://www.w3.org/2000/svg">
          <path d="M13.4062 18.6094L12 20.0156L3.98438 12L12 3.98438L13.4062 5.39062L7 12L13.4062 18.6094Z" fill="white"/>
          <path d="M13.4062 18.6094L12 20.0156L3.98438 12L12 3.98438L13.4062 5.39062L7 12L13.4062 18.6094Z" fill="black" fill-opacity="0.75"/>
        </svg>
      </a>
    </div>
    <p class="header__inner-subtitle">{{this.$route.params.id ? headerPath : this.$route.params.id}}</p>
    <div class="header__inner-date" v-if="$route.path === '/webinars'">
      <input data-date-format="DD MMMM YYYY" placeholder="Выберите дату" type="text" v-model="dateWebinars" onfocus="(this.type='date')" id="date">
    </div>
  </header>
</template>

<script>
export default {
  name: 'Header',
  data () {
    return {
      dateWebinars: null
    }
  },
  computed: {
    headerPath () {
      return this.$route.meta.length > 1 ? this.$route.meta : this.$route.params.name
    }
  },
  created () {
    this.$root.$refs.header = this
  },
  watch: {
    dateWebinars: function (val) {
      const date = new Date(val)
      const day = date.getDate() > 9 ? date.getDate() : `0${date.getDate()}`
      const month = (date.getMonth() + 1) > 9 ? (date.getMonth() + 1) : `0${(date.getMonth() + 1)}`
      val = day + '.' + month + '.' + date.getFullYear() % 100
      this.$root.$refs.webinars.datepicker(val)
      // this.fullName = val + ' ' + this.lastName
    }
  },
  methods: {
    goToBack () {
      if (this.$route.path === '/docs') {
        this.$root.$refs.A.foo()
      } else return this.$router.back()
    }
  }
}
</script>

<style scoped>
</style>
